SeExpr

Public Types | Public Slots | Public Member Functions | Static Public Member Functions | Private Slots | Private Attributes | Static Private Attributes | List of all members
AnimCurveControl Class Reference

`#include <ExprControl.h>`

Inheritance diagram for AnimCurveControl:

## Public Types
typedef void(* | AnimCurveCallback) (const std::string &, animlib::AnimCurve &curve)

## Public Slots
void | editGraphClicked ()
Public Slots inherited from ExprControl
void | linkStateChange (int state)

## Public Member Functions
| AnimCurveControl (int id, AnimCurveEditable *curveEditable)
Public Member Functions inherited from ExprControl
| ExprControl (int id, Editable *editable, bool showColorLink)
virtual | ~ExprControl ()
virtual QColor | getColor ()
| Interface for getting the color (used for linked color picking) More...
virtual void | setColor (QColor color)
| Interface for setting the color (used for linked color picking) More...
void | linkDisconnect (int newId)

## Static Public Member Functions
static void | setAnimCurveCallback (AnimCurveCallback callback)

## Private Slots
void | refreshClicked ()

## Private Attributes
AnimCurveEditable * | _editable
ExprGraphPreview * | _preview

## Static Private Attributes
static AnimCurveCallback | callback = 0

## Additional Inherited Members
Signals inherited from ExprControl
void | controlChanged (int id)
void | linkColorEdited (int id, QColor color)
void | linkColorLink (int id)
Protected Attributes inherited from ExprControl
int | _id
bool | _updating
QHBoxLayout * | hbox
QCheckBox * | _colorLinkCB
QLabel * | _label
Editable * | _editable

## Detailed Description

Definition at line 283 of file ExprControl.h.

## Member Typedef Documentation

## ◆ AnimCurveCallback

typedef void(* AnimCurveControl::AnimCurveCallback) (const std::string &, animlib::AnimCurve &curve)

Definition at line 291 of file ExprControl.h.

## Constructor & Destructor Documentation

## ◆ AnimCurveControl()

AnimCurveControl::AnimCurveControl | ( | int | id,
|  | AnimCurveEditable * | curveEditable
| ) |  |

Definition at line 593 of file ExprControl.cpp.

References _editable, _preview, editGraphClicked(), graphXPM, ExprControl::hbox, AnimCurveEditable::link, refreshClicked(), and refreshXPM.

## Member Function Documentation

## ◆ editGraphClicked

void AnimCurveControl::editGraphClicked | ( |  | ) |
| slot

Definition at line 637 of file ExprControl.cpp.

References _editable, ExprControl::_id, _preview, and ExprControl::controlChanged().

Referenced by AnimCurveControl(), and ExprControlCollection::showEditor().

## ◆ refreshClicked

void AnimCurveControl::refreshClicked | ( |  | ) |
| private slot

Definition at line 626 of file ExprControl.cpp.

References _editable, ExprControl::_id, _preview, callback, ExprControl::controlChanged(), and AnimCurveEditable::link.

Referenced by AnimCurveControl().

## ◆ setAnimCurveCallback()

void AnimCurveControl::setAnimCurveCallback | ( | AnimCurveCallback | callback | ) |
| static

Definition at line 669 of file ExprControl.cpp.

References callback.

Referenced by ExprControlCollection::setAnimCurveCallback().

## Member Data Documentation

## ◆ _editable

AnimCurveEditable* AnimCurveControl::_editable
| private

Definition at line 284 of file ExprControl.h.

Referenced by AnimCurveControl(), editGraphClicked(), and refreshClicked().

## ◆ _preview

ExprGraphPreview* AnimCurveControl::_preview
| private

Definition at line 287 of file ExprControl.h.

Referenced by AnimCurveControl(), editGraphClicked(), and refreshClicked().

## ◆ callback

AnimCurveControl::AnimCurveCallback AnimCurveControl::callback = 0
| static private

Definition at line 303 of file ExprControl.h.

Referenced by refreshClicked(), and setAnimCurveCallback().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprControl.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprControl.cpp